> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

> Change the display name of a registered authenticator device.

# Change the name of a authentication device



## OpenAPI

````yaml openapi-authenticator post /mgmt/v1/registrations/rename/{deviceId}
openapi: 3.0.0
info:
  contact:
    name: Support
    url: https://hanko.io
    email: info@hanko.io
  description: >
    With Hanko you are able to offer your users the security and convenience of

    password-less authentication. Get your website or app ready for a future

    without passwords. Head over to our website at [hanko.io](https://hanko.io)
    to

    learn more about the service or read our
    [documentation](https://docs.hanko.io).
  title: Hanko Service API
  version: 1.0.0
servers:
  - url: https://api.hanko.io
    description: Production environment
security:
  - ApiKeyAuth: []
tags:
  - name: routes
  - name: Hello Hanko
    description: Learn how to use this REST API
  - name: Web Authentication
    description: Authentication via W3C WebAuthentication
    externalDocs:
      url: https://hanko.io
  - name: Hanko Authenticator
    description: >-
      Authentication with the Hanko Authenticator and FIDO UAF (out-of-band
      style)
    externalDocs:
      url: https://hanko.io
  - name: Device Management
    description: Manage the Devices of your users
    externalDocs:
      url: https://hanko.io
externalDocs:
  description: Visit our documentation to learn more about the Hanko service and its APIs
  url: https://docs.hanko.io
paths:
  /mgmt/v1/registrations/rename/{deviceId}:
    post:
      tags:
        - Device Management
      summary: Change the name of a authentication device
      operationId: renameDevice
      parameters:
        - schema:
            type: string
          in: path
          name: deviceId
          required: true
        - $ref: '#/components/parameters/StringIdentifier'
      requestBody:
        $ref: '#/components/requestBodies/RenameDevice'
      responses:
        '200':
          $ref: '#/components/requestBodies/RenameDevice'
        '401':
          $ref: '#/components/responses/Default401Error'
        '404':
          $ref: '#/components/responses/Default404Error'
        '500':
          $ref: '#/components/responses/Default500Error'
components:
  parameters:
    StringIdentifier:
      in: path
      name: id
      schema:
        type: string
      required: true
      description: General identifier used to describe a specific resource
  requestBodies:
    RenameDevice:
      description: The new device name
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.RenameDevice'
  responses:
    Default401Error:
      description: You are not authenticated. Provide your credentials.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 401
            message: Unauthorized
    Default404Error:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 404
            messsage: Not Found.
    Default500Error:
      description: Internal Server Error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HankoError'
          example:
            code: 500
            message: Internal Server Error
  schemas:
    models.RenameDevice:
      properties:
        newName:
          type: string
      required:
        - newName
    HankoError:
      type: object
      description: An error object giving details about the origin of the error
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        This API uses `Authorization: secret <api_key>`
        rather than the standard `Bearer` scheme.

````